> ## Documentation Index
> Fetch the complete documentation index at: https://gcore.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Export Zone (Alpha)

> Export zone to bind9 format.



## OpenAPI

````yaml /api-reference/services_docs_mintlify/dns_api.yaml get /dns/v2/zones/{zoneName}/export
openapi: 3.1.0
info:
  title: Gcore OpenAPI – DNS API
  description: >-
    This OpenAPI is an aggregated OpenAPI specification that unifies all Gcore
    products into a single file. It covers Cloud, CDN, DNS, WAAP, DDoS
    Protection, Object Storage, Streaming, and FastEdge services.
  version: 1282e760bff2
servers:
  - url: https://api.gcore.com
security:
  - APIKey: []
tags:
  - name: Analyze
  - name: Clients
  - name: DNSSEC
  - name: Locations
  - name: Lookup
  - name: Metrics
  - name: NetworkMappings
  - name: Pickers
  - name: RRsets
  - name: Zones
paths:
  /dns/v2/zones/{zoneName}/export:
    get:
      tags:
        - Zones
      summary: Export Zone (Alpha)
      description: Export zone to bind9 format.
      operationId: ExportZone
      parameters:
        - name: zoneName
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: ExportZoneResponse
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ExportZoneResponse'
        '400':
          description: Error message response
          headers:
            error:
              schema:
                type: string
          content: {}
components:
  schemas:
    ExportZoneResponse:
      type: object
      properties:
        raw_zone:
          type: string
  securitySchemes:
    APIKey:
      description: >-
        API key for authentication. Make sure to include the word `apikey`,
        followed by a single space and then your token.

        Example: `apikey 1234$abcdef`
      type: apiKey
      in: header
      name: Authorization

````